clang 8.0.0

Public Member Functions | List of all members
clang::Mergeable< decl_type > Class Template Reference

Provides common interface for the Decls that cannot be redeclared, but can be merged if the same declaration is brought in from multiple modules. More...

`#include "clang/AST/Redeclarable.h"`

Inheritance diagram for clang::Mergeable< decl_type >:
[legend]

## Public Member Functions
| Mergeable ()=default
decl_type * | getFirstDecl ()
| Return the first declaration of this declaration or itself if this is the only declaration. More...
const decl_type * | getFirstDecl () const
| Return the first declaration of this declaration or itself if this is the only declaration. More...
bool | isFirstDecl () const
| Returns true if this is the first declaration. More...

## Detailed Description

### template<typename decl_type>
class clang::Mergeable< decl_type >

Provides common interface for the Decls that cannot be redeclared, but can be merged if the same declaration is brought in from multiple modules.

Definition at line 313 of file Redeclarable.h.

## Constructor & Destructor Documentation

## ◆ Mergeable()

template<typename decl_type>

clang::Mergeable< decl_type >::Mergeable | ( |  | ) |
| default

## Member Function Documentation

## ◆ getFirstDecl() [1/2]

template<typename decl_type>

decl_type* clang::Mergeable< decl_type >::getFirstDecl | ( |  | ) |
| inline

Return the first declaration of this declaration or itself if this is the only declaration.

Definition at line 319 of file Redeclarable.h.

Referenced by dumpPreviousDeclImpl().

## ◆ getFirstDecl() [2/2]

template<typename decl_type>

const decl_type* clang::Mergeable< decl_type >::getFirstDecl | ( |  | ) | const
| inline

Return the first declaration of this declaration or itself if this is the only declaration.

Definition at line 328 of file Redeclarable.h.

## ◆ isFirstDecl()

template<typename decl_type>

bool clang::Mergeable< decl_type >::isFirstDecl | ( |  | ) | const
| inline

Returns true if this is the first declaration.

Definition at line 336 of file Redeclarable.h.

The documentation for this class was generated from the following file:

- include/clang/AST/Redeclarable.h